--
-- PlayerCamera
--
-- MOD Author:  Slavo LS Modding
-- MOD date: 25.11.2018
--
-- Copyright (C) Slavo LS Modding
--

print("  Loaded: PlayerCamera -- Slavo LS Modding --");

PlayerCamera = {};

function PlayerCamera:loadMap(name)
    if self.initialized then
        return;
    end;

    self.step = 0.02;
    self.initialized = true;

end;

function PlayerCamera:deleteMap()
    self.initialized = false;
end;

function PlayerCamera:delete()
end;

function PlayerCamera:update(dt)
end;

function PlayerCamera:mouseEvent(posX, posY, isDown, isUp, button)

	if g_currentMission.controlledVehicle then

		self.cameraId = getCamera();

	else

		if g_currentMission.controlPlayer then
			if(g_currentMission.player ~= nil)then
				
				self.cameraId = g_currentMission.player.cameraNode;

			end;
		end;

	end;

	if self.cameraId ~= nil then

		self.newFovy = getFovY(self.cameraId);

		if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_RIGHT) then

			if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_UP) then
				setFovY(self.cameraId, self.newFovy - self.step);
			end;

			if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_DOWN) then		
				setFovY(self.cameraId, self.newFovy + self.step);
			end;

		end;

	end;

	if not Input.isMouseButtonPressed(Input.MOUSE_BUTTON_RIGHT) then

		if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_UP) and g_currentMission.player.camY > -0.7 then
			g_currentMission.player.camY = g_currentMission.player.camY - self.step;
		end;
	
		if Input.isMouseButtonPressed(Input.MOUSE_BUTTON_WHEEL_DOWN) then		
			g_currentMission.player.camY = g_currentMission.player.camY + self.step;
		end;

	end;

end;

function PlayerCamera:keyEvent(unicode, sym, modifier, isDown)
end;

function PlayerCamera:draw()
end;

addModEventListener(PlayerCamera);

